//---------------------------------------------------------------------------
//      Kurs OpenGL
//      Dobieslaw Paleczka
//      Cwiczenie 2
//---------------------------------------------------------------------------

#pragma hdrstop

#include "Gl\glut.h"

void wyswietlaj(void)
{

        glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

        glColorMaterial(GL_FRONT, GL_DIFFUSE);
        glEnable(GL_COLOR_MATERIAL);

        glMatrixMode(GL_MODELVIEW);
        glLoadIdentity();
        gluLookAt(5,5,5,0,0,0,0,1,0);
        glColor3f(1,0.5,0);
        glutSolidCube(2);

        glutSwapBuffers();

}

void zmiana_rozmiaru(GLint w, GLint h)
{
        glViewport(0,0,w,h);
        glMatrixMode(GL_PROJECTION);
        glLoadIdentity();
        gluPerspective(55,float(w)/float(h),1,20);
}

#pragma argsused
int main(int argc, char* argv[])
{
        glutInit(&argc, argv);
        glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB | GLUT_DEPTH);
        glutInitWindowSize(450,450);
        glutInitWindowPosition(0,0);
        glutCreateWindow(argv[0]);


        glEnable(GL_DEPTH_TEST);
        glEnable(GL_LIGHTING);
        glEnable(GL_LIGHT0);
        glShadeModel(GL_SMOOTH);

        glClearColor(0,0,0,0);

        glutDisplayFunc(wyswietlaj);
        glutReshapeFunc(zmiana_rozmiaru);

        glutMainLoop();

        return 0;
}
//---------------------------------------------------------------------------
 