//---------------------------------------------------------------------------
//      Kurs OpenGL
//      Dobieslaw Paleczka
//      Cwiczenie  4
//---------------------------------------------------------------------------

#pragma hdrstop

#include "Gl\glut.h"

GLfloat ax=0,ay=0,az=0;

void wyswietlaj(void)
{

        glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);

        glColorMaterial(GL_FRONT, GL_DIFFUSE);
        glEnable(GL_COLOR_MATERIAL);

        glMatrixMode(GL_MODELVIEW);
        glLoadIdentity();
        gluLookAt(5,5,5,0,0,0,0,1,0);
        glColor3f(1,0.5,0);
        glRotatef(ax,1,0,0);
        glRotatef(ay,0,1,0);
        glRotatef(az,0,0,1);
        glutSolidCube(2);
        glTranslatef(1,0,0);
        glColor3f(0,0.5,1);
        glutSolidCube(0.5);

        glutSwapBuffers();

}

void zmiana_rozmiaru(GLint w, GLint h)
{
        glViewport(0,0,w,h);
        glMatrixMode(GL_PROJECTION);
        glLoadIdentity();
        gluPerspective(55,float(w)/float(h),1,20);
}

void klawiatura(unsigned char c, int x, int y)
{
        const float s=5;
        if (c=='a') {ax+=s;}
        if (c=='z') {ax-=s;}
        if (c=='s') {ay+=s;}
        if (c=='x') {ay-=s;}
        if (c=='d') {az+=s;}
        if (c=='c') {az-=s;}
        glutPostRedisplay();
}

#pragma argsused
int main(int argc, char* argv[])
{
        glutInit(&argc, argv);
        glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB | GLUT_DEPTH);
        glutInitWindowSize(450,450);
        glutInitWindowPosition(0,0);
        glutCreateWindow(argv[0]);


        glEnable(GL_DEPTH_TEST);
        glEnable(GL_LIGHTING);
        glEnable(GL_LIGHT0);
        glShadeModel(GL_SMOOTH);

        glClearColor(0,0,0,0);

        glutDisplayFunc(wyswietlaj);
        glutReshapeFunc(zmiana_rozmiaru);
        glutKeyboardFunc(klawiatura);

        glutMainLoop();

        return 0;
}
//---------------------------------------------------------------------------
 